#include <log.h>
#include <Game.h>

int main(int argc, char* argv[])
{
	// parse command-line arguments 
	bool useImgui{true};
	for (int i = 0; i < argc; i++)
	{
		if (!strcmp(argv[i], "--noImgui"))
		{
			useImgui = false;
		}	
	}

	LOG("\n\n\033[32mTODO: ");
	LOG("-Implement fruit eating");
	LOG("-Implement sound effects and background music");
	LOG("-Handle game over state");
	LOG("-Implement game config via imgui");
	LOG("\033[0m");

	Game game(useImgui);

	game.run();
}